if InvenSimulatorUI.class ~= "주술사" then return end

function InvenSimulatorUI:InitStance()
	if self.db.items[16] and self.specTable["무기1 최소 공격력"] then
		self:RegisterSideTab(1, GetItemIcon(self.db.items[16]), 6, "주장비 무기 강화", 58804, 58790, 51994, 58796, 36761)
	else
		self:RegisterSideTab(1, nil, 1, "주장비 무기 강화")
	end
	if self.db.items[17] and self.specTable["무기2 최소 공격력"] then
		self:RegisterSideTab(2, GetItemIcon(self.db.items[17]), 6, "보조 장비 무기 강화", 58804, 58790, 51994, 58796, 36761)
	else
		self:RegisterSideTab(2, nil, 1, "보조 장비 무기 강화")
	end
end

function InvenSimulatorUI:InitClassBuff()
	return 8, {
		"무너지는 하늘의 갑옷(4 피스 효과)", 38432, "전투력 70만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("무너지는 하늘의 갑옷") >= 4 end,
		"정령의 방어구(6 피스 효과)", 27775, "주문력 95만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("정령의 방어구") >= 6 end,
		"우레의 방어구(4 피스 효과)", 27775, "주문력 95만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("우레의 방어구") >= 4 end,
		"황폐의 방어구(4 피스 효과)", 37612, "전투력 160만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("황폐의 방어구") >= 4 end,
		"원시 축복(2 피스 효과)", 24255, "전투력 300만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("원시 축복") >= 2 end,
		"물의 보호막", 57960, "5초당 마나 회복량 100만큼 증가", function() return true end,
		"질풍", 16284, "근접 공격 속도 25%만큼 증가", function() return InvenSimulatorCharDB.talents["고양;질풍"] end,
		"정기의 파괴력", 29180, "근접 치명타 적중률 9%만큼 증가", function() return InvenSimulatorCharDB.talents["정기;정기의 파괴력"] end,
	}
end

function InvenSimulatorUI:ApplyTalent()
	if self.db.talents["고양;질풍"] then
		local addSpeed = self.db.talents["고양;질풍"] * 5
		if self:GetSetItemPiece("지축이동의 전투장비") >= 4 then
			addSpeed = addSpeed + 5
		end
		if self:GetSetItemPiece("천재지변의 갑옷") >= 4 then
			addSpeed = addSpeed + 5
		end
		self:UpdateClassBuffText("질풍", "근접 공격 속도 "..addSpeed.."%만큼 증가")
	end
	if self:HasGlyphs("물 숙련의 문양") then
		self:UpdateClassBuffText("물의 보호막", "5초당 마나 회복량 130만큼 증가")
	else
		self:UpdateClassBuffText("물의 보호막", "5초당 마나 회복량 100만큼 증가")
	end
	if self.db.talents["정기;정기의 파괴력"] then
		self:UpdateClassBuffText("정기의 파괴력", "근접 치명타 적중률 "..(self.db.talents["정기;정기의 파괴력"] * 3).."%만큼 증가")
	end
	-- 선인의 지혜(5) 지능 +2,4,6,8,10%
	self:MultiSpec("지능", "선인의 지혜", 0.02)
	-- 우레의 일격(5) 치명,극대 +1~5%
	if self.db.items[16] then
		self:AddSpec("치명타율", "우레의 일격", 1)
		self:AddSpec("극대화율", "우레의 일격", 1)
	end
	-- 원거리 슬롯에 토템이 없으면 우레의 일격 특성에 의해 원거리 치명타율이 증가.
	if not (self.db.items[18] and select(7, GetItemInfo(self.db.items[18])) == "토템") then
		self:AddSpec("원거리 치명타율", "우레의 일격", 1)
	end
	-- 선견지명(3) 회피 +1~3%
	self:AddSpec("회피율", "선견지명", 1)
	-- 강인함(5) 체력 2,4,6,8,10%
	self:MultiSpec("체력", "강인함", 0.02)
	-- 정기의 무기(1) 무기막기 +5%
	self:SetBaseParry(self:GetTalentPoint("정기의 무기") * 5)
	-- 해방된 분노(3) 숙련 +3,6,9
	self:AddSpec("숙련", "해방된 분노", 3)
	-- 무기 전문화(3) 무기 피해 +4,7,10%
	if self.specTable["무기1 최소 공격력"] and (self.specTable["무기1 최소 공격력"] > 1 or self.specTable["무기2 최소 공격력"]) then
		if self.db.talents["고양;무기 전문화"] == 1 then
			self:MultiSpec("주장비 공격력 배율", 0.04)
		elseif self.db.talents["고양;무기 전문화"] == 2 then
			self:MultiSpec("주장비 공격력 배율", 0.07)
		elseif self.db.talents["고양;무기 전문화"] == 3 then
			self:MultiSpec("주장비 공격력 배율", 0.1)
		end
	end
	if self.specTable["무기2 최소 공격력"] then
		if self.db.talents["고양;무기 전문화"] == 1 then
			self:MultiSpec("보조장비 공격력 배율", 0.04)
		elseif self.db.talents["고양;무기 전문화"] == 2 then
			self:MultiSpec("보조장비 공격력 배율", 0.07)
		elseif self.db.talents["고양;무기 전문화"] == 3 then
			self:MultiSpec("보조장비 공격력 배율", 0.1)
		end
	end
	-- 쌍수 무기(1) 쌍수 가능
	self.slotsEquipLoc[17]["INVTYPE_WEAPON"] = self.db.talents["고양;쌍수 무기"] and true or nil
	self.slotsEquipLoc[17]["INVTYPE_WEAPONOFFHAND"] = self.db.talents["고양;쌍수 무기"] and true or nil
	-- 영원의 축복(2) 극대화율 +2,4%
	self:AddSpec("극대화율", "영원의 축복", 2)
	-- 무기 강화 적용
	for i = 1, 2 do
		if self.db.stance[i] == 58790 then
			-- 불꽃의 무기 10, 주문 공격력 +211
			self:AddSpec("주문 공격력", 211)
			-- 자연의 무기(3) 불꽃의 무기 주문 공격력, 대지생명의 무기 주문 치유량 +10,20,30%
			self:AddSpec("주문 공격력", floor(211 * self:GetTalentPoint("자연의 무기") * 0.1))
			-- 불꽃의 무기의 문양: 불꽃의 무기가 활성화되어있는 동안 극대화율이 2%증가
			if self:HasGlyphs("불꽃의 무기의 문양") then
				self:AddSpec("극대화율", 2)
			end
			if self:GetSetItemPiece("회오리 의복") >= 2 then
				self:AddSpec("주문 공격력", 20)
			end
		elseif self.db.stance[i] == 51994 then
			-- 대지생명의 무기 6, 주문 공격력 +150
			self:AddSpec("주문 치유량", 150)
			-- 자연의 무기(3) 불꽃의 무기 주문 공격력, 대지생명의 무기 주문 치유량 +10,20,30%
			self:AddSpec("주문 치유량", floor(150 * self:GetTalentPoint("자연의 무기") * 0.1))
		elseif self.db.stance[i] == 36761 then
			-- 대지의 무기 4, 초당 공격력 9 상승
			self:AddSpec("무기"..i.." 추가 초당 공격력", 9)
		end
	end
end
function InvenSimulatorUI:ApplyLastTalent()
	-- 몰아치는 폭풍(3) 시전중 마나 지능의 4,8,12%증가
	if self:GetTalentPoint("몰아치는 폭풍") == 1 then
		self:AddSpec("5초당 마나 회복량", self.specTable["지능"] * 0.04)
		self:AddSpec("시전 중 마나 회복량", self.specTable["지능"] * 0.04)
	elseif self:GetTalentPoint("몰아치는 폭풍") == 2 then
		self:AddSpec("5초당 마나 회복량", self.specTable["지능"] * 0.08)
		self:AddSpec("시전 중 마나 회복량", self.specTable["지능"] * 0.08)
	elseif self:GetTalentPoint("몰아치는 폭풍") == 3 then
		self:AddSpec("5초당 마나 회복량", self.specTable["지능"] * 0.12)
		self:AddSpec("시전 중 마나 회복량", self.specTable["지능"] * 0.12)
	end
	-- 자연의 축복(3) 주문 치유량이 지능의 5, 10, 15%만큼 증가
	self:AddSpec("주문 치유량", "자연의 축복", self.specTable["지능"] * 0.05)
	-- 교묘한 정신(3) 전투력이 지능의 33,66,100%만큼 증가
	if self.db.talents["고양;교묘한 정신"] == 1 then
		self:AddSpec("전투력", self.specTable["지능"] * 0.33)
	elseif self.db.talents["고양;교묘한 정신"] == 2 then
		self:AddSpec("전투력", self.specTable["지능"] * 0.66)
	elseif self.db.talents["고양;교묘한 정신"] == 3 then
		self:AddSpec("전투력", self.specTable["지능"] * 1)
	end
	-- 기민한 정신(3) 주문력이 전투력의 10, 20, 30%만큼 증가
	self:AddSpec("주문 공격력", "기민한 정신", self.specTable["전투력"] * 0.1)
	self:AddSpec("주문 치유량", "기민한 정신", self.specTable["전투력"] * 0.1)
end